icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons_061

IBM DB2 9.1 < Fix Pack 8 Multiple Vulnerabilities

Medium

Synopsis

The remote IBM DB2 database server is affected by multiple vulnerabilities.

Description

According to its version, the installation of IBM DB2 9.1 on the remote host is affected by one or more of the following vulnerabilities :

- MODIFIED SQL DATA table function is not dropped when definer loses required privileges to maintain the objects. (IZ46773/IZ46774) - A user without sufficient privileges could insert, update, or delete rows in a table. (IZ50078/IZ50079) - A user can perform 'SET SESSION AUTHORIZATION' without 'SETSESSIONUSER' privilege. (IZ55883)

Solution

Upgrade to IBM DB2 9.1 Fix Pack 8 or higher.